Name:		ndisc6
Version:	1.0.2
Release:	%mkrel 8
Summary:	IPv6 diagnostic tools

Group:		Networking/Other
License:	GPLv2 or GPLv3
URL:		http://www.remlab.net/ndisc6/
Source0:	http://www.remlab.net/files/ndisc6/%{name}-%{version}.tar.bz2
Source1:	rdnssd.rc
Source2:	rdnssd-tmpfiles.conf
Patch1:         ndisc6-var_run.patch

%description
This package gathers a few diagnostic tools for IPv6 networks:
- ndisc6, which performs ICMPv6 Neighbor Discovery in userland,
- rdisc6, which performs ICMPv6 Router Discovery in userland,
- rltraceroute6, yet another IPv6 implementation of traceroute,
- tcptraceroute6, a TCP/IPv6-based traceroute implementation,
- tracert6, a ICMPv6 Echo Request based traceroute,
- tcpspray6, a TCP/IP Discard/Echo bandwidth metter.

%package -n rdnssd
Summary:IPv6 recursive DNS server discovery daemon
Requires(post): systemd >= %{systemd_required_version}
%description -n rdnssd
rdnssd autoconfigures recursive DNS servers on IPv6 networks 
using ICMPv6 Neighbor Discovery (RFC 5006), and can update 
the DNS resolvers configuration (/etc/resolv.conf) accordingly.


%prep
%setup -q
%autopatch -p0

%build
%configure2_5x --disable-suid-install
%make

%install
%makeinstall_std
mkdir -p %{buildroot}/%{_initrddir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/rdnssd
# create tmpfiles directory
install -d -m0755 %{buildroot}%{_tmpfilesdir}
install -m0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/rdnssd.conf

%find_lang %name

%pre -n rdnssd
%_pre_useradd rdnssd %{_var}/run/rdnssd /bin/false

%postun -n rdnssd
%_postun_userdel rdnssd

%post -n rdnssd
%_tmpfilescreate rdnssd
%_post_service rdnssd
	
%preun -n rdnssd
%_preun_service rdnssd

%files -f %name.lang
%doc COPYING README
%{_bindir}/addr2name
%{_bindir}/dnssort
%{_bindir}/name2addr
%{_sbindir}/rdisc6
%{_sbindir}/ndisc6
%{_sbindir}/rltraceroute6
%{_bindir}/tcpspray
%{_bindir}/tcpspray6
%{_sbindir}/tcptraceroute6
%{_sbindir}/tracert6
%doc %{_mandir}/man1/addr2name.1.xz
%doc %{_mandir}/man1/dnssort.1.xz
%doc %{_mandir}/man1/name2addr.1.xz
%doc %{_mandir}/man1/tcpspray.1.xz
%doc %{_mandir}/man1/tcpspray6.1.xz
%doc %{_mandir}/man8/ndisc6.8.xz
%doc %{_mandir}/man8/rdisc6.8.xz
%doc %{_mandir}/man8/rltraceroute6.8.xz
%doc %{_mandir}/man8/tcptraceroute6.8.xz
%doc %{_mandir}/man8/tracert6.8.xz

%files -n rdnssd
%doc COPYING README
%doc %{_mandir}/man8/rdnssd.8.xz
%{_sbindir}/rdnssd
%dir %{_sysconfdir}/rdnssd
%{_initrddir}/rdnssd
%attr(755,root,root) %{_sysconfdir}/rdnssd/merge-hook
%{_tmpfilesdir}/rdnssd.conf


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.0.2-8.mga6
+ Revision: 956278
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-7.mga5
+ Revision: 744601
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-6.mga5
+ Revision: 682821
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-5.mga4
+ Revision: 522654
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 1.0.2-4.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Jan 13 2013 luigiwalser <luigiwalser> 1.0.2-3.mga3
+ Revision: 363615
- fix tmpfiles configuration

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 1.0.2-1.mga3
+ Revision: 321909
- adding tmpfiles.d support
- adding tmpfiles.d support

* Mon Mar 05 2012 misc <misc> 1.0.2-1.mga2
+ Revision: 218532
- new version 1.0.2

* Fri Jun 24 2011 philippem <philippem> 1.0.1-1.mga2
+ Revision: 113207
- imported package ndisc6

